<?php
/**
* $Id: plugins.firefoxsearch.php,v 1.1.2.8 2006/01/02 12:47:10 thorstenr Exp $
*
* This is search plugin for Mozilla Firefox.
*
* @author       Periklis Tsirakidis <tsirakidis@phpdevel.de>
* @author       Matteo Scaramuccia <matteo@scaramuccia.com>
* @author       Thorsten Rinne <thorsten@phpmyfaq.de>
* @since        2005-09-19
* @copyright:   (c) 2006 phpMyFAQ Team
*
* The contents of this file are subject to the Mozilla Public License
* Version 1.1 (the "License"); you may not use this file except in
* compliance with the License. You may obtain a copy of the License at
* http://www.mozilla.org/MPL/
*
* Software distributed under the License is distributed on an "AS IS"
* basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
* License for the specific language governing rights and limitations
* under the License.
*/

if (!defined('IS_VALID_PHPMYFAQ_ADMIN')) {
    header('Location: http://'.$_SERVER['SERVER_NAME'].dirname($_SERVER['SCRIPT_NAME']));
    exit();
}

if (!isset($_POST['sptitlei']) && !isset($_POST['spdeci'])) {
?>
   <h2><?php print $PMF_LANG["ad_search_plugin_title"]; ?></h2>
    <form action="<?php print $_SERVER["PHP_SELF"].$linkext; ?>" method="post">
    <fieldset>
        <legend><?php print $PMF_LANG["ad_search_plugin_title"]; ?></legend>
        <input type="hidden" name="aktion" value="searchplugin" />

        <label class="left" for="sptitle"><?php print $PMF_LANG["ad_search_plugin_ttitle"]; ?></label>
        <input class="admin" type="text" name="sptitlei" size="30" /><br />

        <label class="left" for="spdesc"><?php print $PMF_LANG["ad_search_plugin_tdesc"]; ?></label>
        <input class="admin" type="text" name="spdesci" size="30" /><br />

        <input class="submit" type="submit" value="<?php print $PMF_LANG["ad_search_plugin_create"]; ?>" />
    </fieldset>
    </form>
<?php
} else {
    
    $plugin_file = $_SERVER['SERVER_NAME'].'.pmfsearch.src';
    
    $_SERVER['PHP_SELF'] = str_replace('%2F', '/', rawurlencode($_SERVER['PHP_SELF']));
    $search_url = 'http://'.$_SERVER['HTTP_HOST'].dirname(dirname($_SERVER['PHP_SELF'])).'/index.php';
    $src_url= 'http://'.$_SERVER['HTTP_HOST'].dirname(dirname($_SERVER['PHP_SELF']));
    
    // Firefox Search Plugin SRC file Header
    $search  = "<search version=\"7.1\""
    ."\n        name=\"".$_POST["sptitlei"]."\""
    ."\n        description=\"".$_POST['spdesci']."\""
    ."\n        action=\"".$search_url."\""
    ."\n        searchForm=\"".$search_url."\""
    ."\n        method=\"GET\">";
    // Firefox Search Plugin SRC file Keys
    $search .= "\n    <input name=\"search\" user>"
    ."\n    <input name=\"action\" value=\"search\">";
    // Firefox Search Plugin SRC file Style
    $search .= "\n    <interpret browserResultType=\"result\""
    ."\n               resultListStart=\"<ul>\""
    ."\n               resultListEnd=\"</ul>\""
    ."\n               resultItemStart=\"<li>\""
    ."\n               resultItemEnd=\"</li>\">";

    $search .= "\n</search>";

    $search.= "\n<browser update=\"".$src_url."/".$plugin_file."\""
    ."\n         updateIcon=\"".$src_url."/images/pmfsearch.png\""
    ."\n         updateCheckDays=\"3\">";
    
    // Prepare a TMP file
    $tmp_file_name = tempnam(dirname(dirname(__FILE__)), "pmf_");
    // Remove the previous SRC file
    
    if (file_exists(dirname(dirname(__FILE__)).'/'.$plugin_file)) {
        unlink(dirname(dirname(__FILE__)).'/'.$plugin_file);
    }
    
    // Write the TMP file
    $tmp_file_handle = fopen($tmp_file_name, "w");
    
    fwrite($tmp_file_handle, $search);
    fclose($tmp_file_handle);
    // Set the TMP file as the new SRC file
    copy($tmp_file_name, dirname(dirname(__FILE__)).'/'.$plugin_file);
    chmod(dirname(dirname(__FILE__)).'/'.$plugin_file, 0755);
    unlink($tmp_file_name);
    
    print $PMF_LANG['ad_search_plugin_success'];
}